Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008281TestLinkTest Specificationpublic2018-06-04 18:532018-10-08 20:00
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008281: Generate Test Case Name, using some sort of place holder, getting value from test case summary
DescriptionI've face following situation

I've several test case that have the same string in name:

TC1 - Webservice Create User - Failure - Blank Name
TC2- Webservice Create User - Failure - Duplicate Name
TC3 - Webservice Create User - Failure - Blank email

using TC1 as example , I find myself writting on TC1 summary something like

this blabla consider what happens when Blank Name is used.

Then idea is mark a piece of summary to be added on Test Case name.

Then

Test Case name:
Webservice Create User - Failure - [[01]]

Test Case Summary
this blabla consider what happens when [[Blank Name]] is used.

when saving test case name will become
Webservice Create User - Failure - [[01::Blank Name]]




TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0008394closedfman Generate Test Case Name, using some sort of place holder, getting value from test case PRECONDITIONS 
related to 0008400resolvedfman Data Management inside Test Case STEPS, using some sort of place holder, getting value from test case summary/preconditions 
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027522)
fman (administrator)
2018-06-04 18:54

right nome this works when

1. creating a test case
2. updating a test case


not test still done on importing
(0027924)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-06-04 18:53 fman New Issue
2018-06-04 18:53 fman Product Version => 1.9.17 (2018 Q1)
2018-06-04 18:54 fman Note Added: 0027522
2018-06-04 18:57 fman Relationship added child of 0008241
2018-06-04 18:57 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-06-04 18:57 fman Status new => resolved
2018-06-04 18:57 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-06-04 18:57 fman Resolution open => fixed
2018-06-04 18:57 fman Assigned To => fman
2018-10-03 10:01 fman Issue cloned: 0008394
2018-10-03 10:01 fman Relationship added related to 0008394
2018-10-06 12:17 fman Note Added: 0027924
2018-10-06 12:17 fman Status resolved => closed
2018-10-08 20:00 fman Issue cloned: 0008400
2018-10-08 20:00 fman Relationship added related to 0008400



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker